import { Camera, Material, Plane, Scene, Texture } from 'three';
import { BaseSpecklePass, SpecklePass } from './SpecklePass';
export declare class NormalsPass extends BaseSpecklePass implements SpecklePass {
    private renderTarget;
    private normalsMaterial;
    private scene;
    private camera;
    private colorBuffer;
    onBeforeRender: () => void;
    onAfterRender: () => void;
    get displayName(): string;
    get outputTexture(): Texture;
    get material(): Material;
    constructor();
    setClippingPlanes(planes: Plane[]): void;
    update(scene: Scene, camera: Camera): void;
    render(renderer: any, writeBuffer: any, readBuffer: any): void;
    setSize(width: number, height: number): void;
}
